package routers

import (
	"ERP_storage/controllers"
	beego "github.com/beego/beego/v2/server/web"
)

func init() {

	percentage := beego.NewNamespace("/Percentage",
		beego.NSRouter("/List", &controllers.PercentageController{}, "*:Percentage_List"),                 // 提成列表
		beego.NSRouter("/User_List", &controllers.PercentageController{}, "*:Percentage_User_List"),       // 提成列表 - 员工
		beego.NSRouter("/Get", &controllers.PercentageController{}, "*:Percentage_Get"),                   // 提成详情
		beego.NSRouter("/Add", &controllers.PercentageController{}, "*:Percentage_Add"),                   // 添加提成
		beego.NSRouter("/Edit", &controllers.PercentageController{}, "*:Percentage_Edit"),                 // 编辑提成
		beego.NSRouter("/Del", &controllers.PercentageController{}, "*:Percentage_Del"),                   // 删除提成
		beego.NSRouter("/Admin_Del", &controllers.PercentageController{}, "*:Percentage_Admin_Del"),       // 管理员 删除提成
		beego.NSRouter("/Approval", &controllers.PercentageController{}, "*:Percentage_Approval"),         // 提成审核
		beego.NSRouter("/Remit", &controllers.PercentageController{}, "*:Percentage_Remit"),               // 打款明细
		beego.NSRouter("/User/List", &controllers.PercentageController{}, "*:User_List"),                  // 提成管理-员工搜索
		beego.NSRouter("/Submit_Audit", &controllers.PercentageController{}, "*:Percentage_Submit_Audit"), // 提交审核
	)
	beego.AddNamespace(percentage)
}
